For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
            • GETList Orders
            • POSTCreate Order
            • GETGet Order
            • PUTUpdate Order
            • PUTReassign Orders to Different Company
            • GETList Order Products
            • PUTAssign Customer Orders to Company
            • GETList Order Extra Field Configs
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementOrders

List Orders

GET
https://api-b2b.bigcommerce.com/api/v3/io/orders
GET
/api/v3/io/orders
$curl -G https://api-b2b.bigcommerce.com/api/v3/io/orders \
> -H "X-Auth-Token: <apiKey>" \
> -d companyId=123456 \
> -d minModified=1622619778 \
> -d maxModified=1622619778 \
> -d minCreated=1622619778 \
> -d maxCreated=1622619778 \
> -d showExtra=false \
> -d "channelIds[]=1.1"
1{
2 "code": 200,
3 "meta": {
4 "message": "SUCCESS",
5 "pagination": {
6 "totalCount": 9,
7 "limit": 1,
8 "offset": 0
9 }
10 },
11 "data": [
12 {
13 "id": 12345,
14 "bcOrderId": 123,
15 "totalIncTax": 2210.47,
16 "poNumber": "04152025-0002",
17 "status": "Awaiting Payment",
18 "customStatus": "Invoice Sent",
19 "cartId": 123456,
20 "items": 50,
21 "usdIncTax": 2210.47,
22 "companyId": 12345,
23 "currencyCode": "USD",
24 "money": [
25 {
26 "currencyLocation": "left",
27 "currencyToken": "$",
28 "decimalToken": ".",
29 "decimalPlaces": 2,
30 "thousandsToken": ","
31 }
32 ],
33 "statusCode": 7,
34 "isArchived": false,
35 "channelId": 1,
36 "channelName": "B2B Store",
37 "createdAt": 1574999690,
38 "updatedAt": 1574999690
39 }
40 ]
41}
Retrieves limited information for all orders, including B2B-specific information like Company IDs and order extra fields. The response includes orders placed by B2C customers and guest shoppers. Use [Get Order Products](#get-order-products) to retrieve an order's product details, or use the BigCommerce [Orders V2 API](/developer/api-reference/rest/admin/management/orders) to retrieve all order details except those specific to B2B Edition, like Company ID and extra fields. Use the parameters to filter the returned orders by attributes like associated Company ID, date created, or storefront channel. You can also set the `showExtra` parameter to `true` in order to return extra field values associated with the order.
Was this page helpful?
Previous

Orders

Next

Create Order

Built with

Retrieves limited information for all orders, including B2B-specific information like Company IDs and order extra fields. The response includes orders placed by B2C customers and guest shoppers. Use Get Order Products to retrieve an order’s product details, or use the BigCommerce Orders V2 API to retrieve all order details except those specific to B2B Edition, like Company ID and extra fields.

Use the parameters to filter the returned orders by attributes like associated Company ID, date created, or storefront channel. You can also set the showExtra parameter to true in order to return extra field values associated with the order.

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

companyIdintegerOptional
Unique numeric ID of the Company account.
limitintegerOptional1-200Defaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

offsetintegerOptional>=0Defaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

orderByenumOptionalDefaults to DESC
Establish a descending or ascending order of results. The order defaults to descending if the parameter is not included.
Allowed values:
sortByenumOptionalDefaults to updatedAt
Sorts results by creation date or the last updated date. It defaults to the last updated date if no parameter is provided.
Allowed values:
bcOrderIdintegerOptional

The BigCommerce order ID. This parameter does not accept the B2B Edition order ID returned in certain Server to Server Orders endpoints.

minModifiedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all orders updated after that time.
maxModifiedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all orders updated before that time.
minCreatedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all orders created after that time.
maxCreatedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all orders created before that time.
showExtrabooleanOptionalDefaults to false
Indicates whether or not extra fields should be included in the response.
channelIds[]list of doublesOptionalDefaults to 1
BigCommerce channel IDs

Response

OK
codeinteger
metaobject
datalist of objects
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Enter a Unix timestamp to retrieve all orders updated after that time.

Enter a Unix timestamp to retrieve all orders updated before that time.

Enter a Unix timestamp to retrieve all orders created after that time.

Enter a Unix timestamp to retrieve all orders created before that time.